diff --git a/net/calendarsupport/pkg-plist b/net/calendarsupport/pkg-plist
index 3ed853628a9c..f6e7a9f5701e 100644
--- a/net/calendarsupport/pkg-plist
+++ b/net/calendarsupport/pkg-plist
@@ -1,143 +1,137 @@
-include/KPim5/CalendarSupport/CalendarSupport/ArchiveDialog
-include/KPim5/CalendarSupport/CalendarSupport/CalPrintDefaultPlugins
-include/KPim5/CalendarSupport/CalendarSupport/CalPrintPluginBase
-include/KPim5/CalendarSupport/CalendarSupport/CalPrinter
-include/KPim5/CalendarSupport/CalendarSupport/CalendarSingleton
-include/KPim5/CalendarSupport/CalendarSupport/CategoryHierarchyReader
-include/KPim5/CalendarSupport/CalendarSupport/CellItem
-include/KPim5/CalendarSupport/CalendarSupport/CollectionSelection
-include/KPim5/CalendarSupport/CalendarSupport/EventArchiver
-include/KPim5/CalendarSupport/CalendarSupport/FreeBusyCalendar
-include/KPim5/CalendarSupport/CalendarSupport/FreeBusyItem
-include/KPim5/CalendarSupport/CalendarSupport/FreeBusyItemModel
-include/KPim5/CalendarSupport/CalendarSupport/FreePeriodModel
-include/KPim5/CalendarSupport/CalendarSupport/IdentityManager
-include/KPim5/CalendarSupport/CalendarSupport/IncidenceViewer
-include/KPim5/CalendarSupport/CalendarSupport/KCalPrefs
-include/KPim5/CalendarSupport/CalendarSupport/MessageWidget
-include/KPim5/CalendarSupport/CalendarSupport/NoteEditDialog
-include/KPim5/CalendarSupport/CalendarSupport/PrintPlugin
-include/KPim5/CalendarSupport/CalendarSupport/UriHandler
-include/KPim5/CalendarSupport/CalendarSupport/Utils
-include/KPim5/CalendarSupport/calendarsupport/archivedialog.h
-include/KPim5/CalendarSupport/calendarsupport/calendarsingleton.h
-include/KPim5/CalendarSupport/calendarsupport/calendarsupport_export.h
-include/KPim5/CalendarSupport/calendarsupport/calprintdefaultplugins.h
-include/KPim5/CalendarSupport/calendarsupport/calprinter.h
-include/KPim5/CalendarSupport/calendarsupport/calprintpluginbase.h
-include/KPim5/CalendarSupport/calendarsupport/categoryhierarchyreader.h
-include/KPim5/CalendarSupport/calendarsupport/cellitem.h
-include/KPim5/CalendarSupport/calendarsupport/collectionselection.h
-include/KPim5/CalendarSupport/calendarsupport/eventarchiver.h
-include/KPim5/CalendarSupport/calendarsupport/freebusycalendar.h
-include/KPim5/CalendarSupport/calendarsupport/freebusyitem.h
-include/KPim5/CalendarSupport/calendarsupport/freebusyitemmodel.h
-include/KPim5/CalendarSupport/calendarsupport/freeperiodmodel.h
-include/KPim5/CalendarSupport/calendarsupport/identitymanager.h
-include/KPim5/CalendarSupport/calendarsupport/incidenceviewer.h
-include/KPim5/CalendarSupport/calendarsupport/kcalprefs.h
-include/KPim5/CalendarSupport/calendarsupport/kcalprefs_base.h
-include/KPim5/CalendarSupport/calendarsupport/messagewidget.h
-include/KPim5/CalendarSupport/calendarsupport/noteeditdialog.h
-include/KPim5/CalendarSupport/calendarsupport/printplugin.h
-include/KPim5/CalendarSupport/calendarsupport/ui_calprintdayconfig_base.h
-include/KPim5/CalendarSupport/calendarsupport/ui_calprintincidenceconfig_base.h
-include/KPim5/CalendarSupport/calendarsupport/ui_calprintmonthconfig_base.h
-include/KPim5/CalendarSupport/calendarsupport/ui_calprinttodoconfig_base.h
-include/KPim5/CalendarSupport/calendarsupport/ui_calprintweekconfig_base.h
-include/KPim5/CalendarSupport/calendarsupport/urihandler.h
-include/KPim5/CalendarSupport/calendarsupport/utils.h
-include/KPim5/CalendarSupport/calendarsupport_version.h
-lib/cmake/KF5CalendarSupport/KF5CalendarSupportConfig.cmake
-lib/cmake/KF5CalendarSupport/KF5CalendarSupportConfigVersion.cmake
-lib/cmake/KF5CalendarSupport/KPim5CalendarSupportTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KF5CalendarSupport/KPim5CalendarSupportTargets.cmake
-lib/cmake/KPim5CalendarSupport/KPim5CalendarSupportConfig.cmake
-lib/cmake/KPim5CalendarSupport/KPim5CalendarSupportConfigVersion.cmake
-lib/cmake/KPim5CalendarSupport/KPim5CalendarSupportTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KPim5CalendarSupport/KPim5CalendarSupportTargets.cmake
-lib/libKPim5CalendarSupport.so
-lib/libKPim5CalendarSupport.so.5
-lib/libKPim5CalendarSupport.so.%%KDE_APPLICATIONS_SHLIB_VER%%
-%%QT_MKSPECDIR%%/modules/qt_CalendarSupport.pri
-share/locale/af/LC_MESSAGES/calendarsupport.mo
-share/locale/ar/LC_MESSAGES/calendarsupport.mo
-share/locale/az/LC_MESSAGES/calendarsupport.mo
-share/locale/be/LC_MESSAGES/calendarsupport.mo
-share/locale/bg/LC_MESSAGES/calendarsupport.mo
-share/locale/br/LC_MESSAGES/calendarsupport.mo
-share/locale/bs/LC_MESSAGES/calendarsupport.mo
-share/locale/ca/LC_MESSAGES/calendarsupport.mo
-share/locale/ca@valencia/LC_MESSAGES/calendarsupport.mo
-share/locale/cs/LC_MESSAGES/calendarsupport.mo
-share/locale/cy/LC_MESSAGES/calendarsupport.mo
-share/locale/da/LC_MESSAGES/calendarsupport.mo
-share/locale/de/LC_MESSAGES/calendarsupport.mo
-share/locale/el/LC_MESSAGES/calendarsupport.mo
-share/locale/en_GB/LC_MESSAGES/calendarsupport.mo
-share/locale/eo/LC_MESSAGES/calendarsupport.mo
-share/locale/es/LC_MESSAGES/calendarsupport.mo
-share/locale/et/LC_MESSAGES/calendarsupport.mo
-share/locale/eu/LC_MESSAGES/calendarsupport.mo
-share/locale/fa/LC_MESSAGES/calendarsupport.mo
-share/locale/fi/LC_MESSAGES/calendarsupport.mo
-share/locale/fr/LC_MESSAGES/calendarsupport.mo
-share/locale/fy/LC_MESSAGES/calendarsupport.mo
-share/locale/ga/LC_MESSAGES/calendarsupport.mo
-share/locale/gl/LC_MESSAGES/calendarsupport.mo
-share/locale/he/LC_MESSAGES/calendarsupport.mo
-share/locale/hi/LC_MESSAGES/calendarsupport.mo
-share/locale/hne/LC_MESSAGES/calendarsupport.mo
-share/locale/hr/LC_MESSAGES/calendarsupport.mo
-share/locale/hsb/LC_MESSAGES/calendarsupport.mo
-share/locale/hu/LC_MESSAGES/calendarsupport.mo
-share/locale/ia/LC_MESSAGES/calendarsupport.mo
-share/locale/id/LC_MESSAGES/calendarsupport.mo
-share/locale/is/LC_MESSAGES/calendarsupport.mo
-share/locale/it/LC_MESSAGES/calendarsupport.mo
-share/locale/ja/LC_MESSAGES/calendarsupport.mo
-share/locale/ka/LC_MESSAGES/calendarsupport.mo
-share/locale/kk/LC_MESSAGES/calendarsupport.mo
-share/locale/km/LC_MESSAGES/calendarsupport.mo
-share/locale/ko/LC_MESSAGES/calendarsupport.mo
-share/locale/lt/LC_MESSAGES/calendarsupport.mo
-share/locale/lv/LC_MESSAGES/calendarsupport.mo
-share/locale/mai/LC_MESSAGES/calendarsupport.mo
-share/locale/mk/LC_MESSAGES/calendarsupport.mo
-share/locale/mr/LC_MESSAGES/calendarsupport.mo
-share/locale/ms/LC_MESSAGES/calendarsupport.mo
-share/locale/nb/LC_MESSAGES/calendarsupport.mo
-share/locale/nds/LC_MESSAGES/calendarsupport.mo
-share/locale/ne/LC_MESSAGES/calendarsupport.mo
-share/locale/nl/LC_MESSAGES/calendarsupport.mo
-share/locale/nn/LC_MESSAGES/calendarsupport.mo
-share/locale/pa/LC_MESSAGES/calendarsupport.mo
-share/locale/pl/LC_MESSAGES/calendarsupport.mo
-share/locale/pt/LC_MESSAGES/calendarsupport.mo
-share/locale/pt_BR/LC_MESSAGES/calendarsupport.mo
-share/locale/ro/LC_MESSAGES/calendarsupport.mo
-share/locale/ru/LC_MESSAGES/calendarsupport.mo
-share/locale/se/LC_MESSAGES/calendarsupport.mo
-share/locale/si/LC_MESSAGES/calendarsupport.mo
-share/locale/sk/LC_MESSAGES/calendarsupport.mo
-share/locale/sl/LC_MESSAGES/calendarsupport.mo
-share/locale/sq/LC_MESSAGES/calendarsupport.mo
-share/locale/sr/LC_MESSAGES/calendarsupport.mo
-share/locale/sr@ijekavian/LC_MESSAGES/calendarsupport.mo
-share/locale/sr@ijekavianlatin/LC_MESSAGES/calendarsupport.mo
-share/locale/sr@latin/LC_MESSAGES/calendarsupport.mo
-share/locale/sv/LC_MESSAGES/calendarsupport.mo
-share/locale/ta/LC_MESSAGES/calendarsupport.mo
-share/locale/tg/LC_MESSAGES/calendarsupport.mo
-share/locale/th/LC_MESSAGES/calendarsupport.mo
-share/locale/tr/LC_MESSAGES/calendarsupport.mo
-share/locale/ug/LC_MESSAGES/calendarsupport.mo
-share/locale/uk/LC_MESSAGES/calendarsupport.mo
-share/locale/uz/LC_MESSAGES/calendarsupport.mo
-share/locale/uz@cyrillic/LC_MESSAGES/calendarsupport.mo
-share/locale/wa/LC_MESSAGES/calendarsupport.mo
-share/locale/xh/LC_MESSAGES/calendarsupport.mo
-share/locale/zh_CN/LC_MESSAGES/calendarsupport.mo
-share/locale/zh_TW/LC_MESSAGES/calendarsupport.mo
-share/qlogging-categories5/calendarsupport.categories
-share/qlogging-categories5/calendarsupport.renamecategories
+include/KPim6/CalendarSupport/CalendarSupport/ArchiveDialog
+include/KPim6/CalendarSupport/CalendarSupport/CalPrintDefaultPlugins
+include/KPim6/CalendarSupport/CalendarSupport/CalPrintPluginBase
+include/KPim6/CalendarSupport/CalendarSupport/CalPrinter
+include/KPim6/CalendarSupport/CalendarSupport/CalendarSingleton
+include/KPim6/CalendarSupport/CalendarSupport/CategoryHierarchyReader
+include/KPim6/CalendarSupport/CalendarSupport/CellItem
+include/KPim6/CalendarSupport/CalendarSupport/CollectionSelection
+include/KPim6/CalendarSupport/CalendarSupport/EventArchiver
+include/KPim6/CalendarSupport/CalendarSupport/FreeBusyCalendar
+include/KPim6/CalendarSupport/CalendarSupport/FreeBusyItem
+include/KPim6/CalendarSupport/CalendarSupport/FreeBusyItemModel
+include/KPim6/CalendarSupport/CalendarSupport/FreePeriodModel
+include/KPim6/CalendarSupport/CalendarSupport/IdentityManager
+include/KPim6/CalendarSupport/CalendarSupport/IncidenceViewer
+include/KPim6/CalendarSupport/CalendarSupport/KCalPrefs
+include/KPim6/CalendarSupport/CalendarSupport/MessageWidget
+include/KPim6/CalendarSupport/CalendarSupport/PrintPlugin
+include/KPim6/CalendarSupport/CalendarSupport/UriHandler
+include/KPim6/CalendarSupport/CalendarSupport/Utils
+include/KPim6/CalendarSupport/calendarsupport/archivedialog.h
+include/KPim6/CalendarSupport/calendarsupport/calendarsingleton.h
+include/KPim6/CalendarSupport/calendarsupport/calendarsupport_export.h
+include/KPim6/CalendarSupport/calendarsupport/calprintdefaultplugins.h
+include/KPim6/CalendarSupport/calendarsupport/calprinter.h
+include/KPim6/CalendarSupport/calendarsupport/calprintpluginbase.h
+include/KPim6/CalendarSupport/calendarsupport/categoryhierarchyreader.h
+include/KPim6/CalendarSupport/calendarsupport/cellitem.h
+include/KPim6/CalendarSupport/calendarsupport/collectionselection.h
+include/KPim6/CalendarSupport/calendarsupport/eventarchiver.h
+include/KPim6/CalendarSupport/calendarsupport/freebusycalendar.h
+include/KPim6/CalendarSupport/calendarsupport/freebusyitem.h
+include/KPim6/CalendarSupport/calendarsupport/freebusyitemmodel.h
+include/KPim6/CalendarSupport/calendarsupport/freeperiodmodel.h
+include/KPim6/CalendarSupport/calendarsupport/identitymanager.h
+include/KPim6/CalendarSupport/calendarsupport/incidenceviewer.h
+include/KPim6/CalendarSupport/calendarsupport/kcalprefs.h
+include/KPim6/CalendarSupport/calendarsupport/kcalprefs_base.h
+include/KPim6/CalendarSupport/calendarsupport/messagewidget.h
+include/KPim6/CalendarSupport/calendarsupport/printplugin.h
+include/KPim6/CalendarSupport/calendarsupport/ui_calprintdayconfig_base.h
+include/KPim6/CalendarSupport/calendarsupport/ui_calprintincidenceconfig_base.h
+include/KPim6/CalendarSupport/calendarsupport/ui_calprintmonthconfig_base.h
+include/KPim6/CalendarSupport/calendarsupport/ui_calprinttodoconfig_base.h
+include/KPim6/CalendarSupport/calendarsupport/ui_calprintweekconfig_base.h
+include/KPim6/CalendarSupport/calendarsupport/urihandler.h
+include/KPim6/CalendarSupport/calendarsupport/utils.h
+include/KPim6/CalendarSupport/calendarsupport_version.h
+lib/cmake/KPim6CalendarSupport/KPim6CalendarSupportConfig.cmake
+lib/cmake/KPim6CalendarSupport/KPim6CalendarSupportConfigVersion.cmake
+lib/cmake/KPim6CalendarSupport/KPim6CalendarSupportTargets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/KPim6CalendarSupport/KPim6CalendarSupportTargets.cmake
+lib/libKPim6CalendarSupport.so
+lib/libKPim6CalendarSupport.so.6
+lib/libKPim6CalendarSupport.so.%%KDE_APPLICATIONS_SHLIB_VER%%
+share/locale/af/LC_MESSAGES/calendarsupport6.mo
+share/locale/ar/LC_MESSAGES/calendarsupport6.mo
+share/locale/ast/LC_MESSAGES/calendarsupport6.mo
+share/locale/az/LC_MESSAGES/calendarsupport6.mo
+share/locale/be/LC_MESSAGES/calendarsupport6.mo
+share/locale/bg/LC_MESSAGES/calendarsupport6.mo
+share/locale/br/LC_MESSAGES/calendarsupport6.mo
+share/locale/bs/LC_MESSAGES/calendarsupport6.mo
+share/locale/ca/LC_MESSAGES/calendarsupport6.mo
+share/locale/ca@valencia/LC_MESSAGES/calendarsupport6.mo
+share/locale/cs/LC_MESSAGES/calendarsupport6.mo
+share/locale/cy/LC_MESSAGES/calendarsupport6.mo
+share/locale/da/LC_MESSAGES/calendarsupport6.mo
+share/locale/de/LC_MESSAGES/calendarsupport6.mo
+share/locale/el/LC_MESSAGES/calendarsupport6.mo
+share/locale/en_GB/LC_MESSAGES/calendarsupport6.mo
+share/locale/eo/LC_MESSAGES/calendarsupport6.mo
+share/locale/es/LC_MESSAGES/calendarsupport6.mo
+share/locale/et/LC_MESSAGES/calendarsupport6.mo
+share/locale/eu/LC_MESSAGES/calendarsupport6.mo
+share/locale/fa/LC_MESSAGES/calendarsupport6.mo
+share/locale/fi/LC_MESSAGES/calendarsupport6.mo
+share/locale/fr/LC_MESSAGES/calendarsupport6.mo
+share/locale/fy/LC_MESSAGES/calendarsupport6.mo
+share/locale/ga/LC_MESSAGES/calendarsupport6.mo
+share/locale/gl/LC_MESSAGES/calendarsupport6.mo
+share/locale/he/LC_MESSAGES/calendarsupport6.mo
+share/locale/hi/LC_MESSAGES/calendarsupport6.mo
+share/locale/hne/LC_MESSAGES/calendarsupport6.mo
+share/locale/hr/LC_MESSAGES/calendarsupport6.mo
+share/locale/hsb/LC_MESSAGES/calendarsupport6.mo
+share/locale/hu/LC_MESSAGES/calendarsupport6.mo
+share/locale/ia/LC_MESSAGES/calendarsupport6.mo
+share/locale/id/LC_MESSAGES/calendarsupport6.mo
+share/locale/is/LC_MESSAGES/calendarsupport6.mo
+share/locale/it/LC_MESSAGES/calendarsupport6.mo
+share/locale/ja/LC_MESSAGES/calendarsupport6.mo
+share/locale/ka/LC_MESSAGES/calendarsupport6.mo
+share/locale/kk/LC_MESSAGES/calendarsupport6.mo
+share/locale/km/LC_MESSAGES/calendarsupport6.mo
+share/locale/ko/LC_MESSAGES/calendarsupport6.mo
+share/locale/lt/LC_MESSAGES/calendarsupport6.mo
+share/locale/lv/LC_MESSAGES/calendarsupport6.mo
+share/locale/mai/LC_MESSAGES/calendarsupport6.mo
+share/locale/mk/LC_MESSAGES/calendarsupport6.mo
+share/locale/mr/LC_MESSAGES/calendarsupport6.mo
+share/locale/ms/LC_MESSAGES/calendarsupport6.mo
+share/locale/nb/LC_MESSAGES/calendarsupport6.mo
+share/locale/nds/LC_MESSAGES/calendarsupport6.mo
+share/locale/ne/LC_MESSAGES/calendarsupport6.mo
+share/locale/nl/LC_MESSAGES/calendarsupport6.mo
+share/locale/nn/LC_MESSAGES/calendarsupport6.mo
+share/locale/pa/LC_MESSAGES/calendarsupport6.mo
+share/locale/pl/LC_MESSAGES/calendarsupport6.mo
+share/locale/pt/LC_MESSAGES/calendarsupport6.mo
+share/locale/pt_BR/LC_MESSAGES/calendarsupport6.mo
+share/locale/ro/LC_MESSAGES/calendarsupport6.mo
+share/locale/ru/LC_MESSAGES/calendarsupport6.mo
+share/locale/se/LC_MESSAGES/calendarsupport6.mo
+share/locale/si/LC_MESSAGES/calendarsupport6.mo
+share/locale/sk/LC_MESSAGES/calendarsupport6.mo
+share/locale/sl/LC_MESSAGES/calendarsupport6.mo
+share/locale/sq/LC_MESSAGES/calendarsupport6.mo
+share/locale/sr/LC_MESSAGES/calendarsupport6.mo
+share/locale/sr@ijekavian/LC_MESSAGES/calendarsupport6.mo
+share/locale/sr@ijekavianlatin/LC_MESSAGES/calendarsupport6.mo
+share/locale/sr@latin/LC_MESSAGES/calendarsupport6.mo
+share/locale/sv/LC_MESSAGES/calendarsupport6.mo
+share/locale/ta/LC_MESSAGES/calendarsupport6.mo
+share/locale/tg/LC_MESSAGES/calendarsupport6.mo
+share/locale/th/LC_MESSAGES/calendarsupport6.mo
+share/locale/tr/LC_MESSAGES/calendarsupport6.mo
+share/locale/ug/LC_MESSAGES/calendarsupport6.mo
+share/locale/uk/LC_MESSAGES/calendarsupport6.mo
+share/locale/uz/LC_MESSAGES/calendarsupport6.mo
+share/locale/uz@cyrillic/LC_MESSAGES/calendarsupport6.mo
+share/locale/wa/LC_MESSAGES/calendarsupport6.mo
+share/locale/xh/LC_MESSAGES/calendarsupport6.mo
+share/locale/zh_CN/LC_MESSAGES/calendarsupport6.mo
+share/locale/zh_TW/LC_MESSAGES/calendarsupport6.mo
+share/qlogging-categories6/calendarsupport.categories
+share/qlogging-categories6/calendarsupport.renamecategories
diff --git a/net/eventviews/Makefile b/net/eventviews/Makefile
index 5281bae349f4..34169d499a0f 100644
--- a/net/eventviews/Makefile
+++ b/net/eventviews/Makefile
@@ -9,18 +9,17 @@ WWW=		https://github.com/KDE/mailcommon
 LICENSE=	LGPL21
 
 BUILD_DEPENDS=	${LOCALBASE}/include/boost/range/algorithm.hpp:devel/boost-libs
-LIB_DEPENDS=	libKGantt.so:graphics/kdiagram
+LIB_DEPENDS=	libKGantt6.so:graphics/kdiagram-qt6
 
-USES=		cmake compiler:c++11-lib gettext kde:5 qt:5 tar:xz
+USES=		cmake compiler:c++11-lib gettext kde:6 qt:6 tar:xz
 USE_KDE=	auth codecs completion config configwidgets coreaddons \
 		guiaddons i18n iconthemes itemmodels service widgetsaddons \
 		ecm:build
 # pim components
 USE_KDE+=	akonadi akonadicalendar akonadicontacts calendarcore \
-		calendarsupport calendarutils contacts holidays identitymanagement \
-		libkdepim mime pimtextedit
-USE_QT=		core gui printsupport uitools widgets xml \
-		buildtools:build qmake:build testlib:build
+		calendarsupport calendarutils contacts holidays \
+		identitymanagement libkdepim mime pimtextedit
+USE_QT=		base
 USE_LDCONFIG=	yes
 
 OPTIONS_DEFINE=	DOCS
diff --git a/net/eventviews/distinfo b/net/eventviews/distinfo
index 019a08362849..e56894f2e2de 100644
--- a/net/eventviews/distinfo
+++ b/net/eventviews/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889482
-SHA256 (KDE/release-service/23.08.5/eventviews-23.08.5.tar.xz) = 29a9359940e6ba775c9e1dccfd9eb7de68b799ef4182f4eaf7ba3baffaaf1c1b
-SIZE (KDE/release-service/23.08.5/eventviews-23.08.5.tar.xz) = 469996
+TIMESTAMP = 1734460299
+SHA256 (KDE/release-service/24.12.0/eventviews-24.12.0.tar.xz) = b8e9d473836cbb401fac0e1c41e01016b4853a6323530237113e3fece4403089
+SIZE (KDE/release-service/24.12.0/eventviews-24.12.0.tar.xz) = 497620
diff --git a/net/eventviews/pkg-plist b/net/eventviews/pkg-plist
index 32966fdc91de..ca95a87702e4 100644
--- a/net/eventviews/pkg-plist
+++ b/net/eventviews/pkg-plist
@@ -1,91 +1,93 @@
-include/KPim5/EventViews/EventViews/AgendaView
-include/KPim5/EventViews/EventViews/CalendarDecoration
-include/KPim5/EventViews/EventViews/ConfigDialogInterface
-include/KPim5/EventViews/EventViews/EventView
-include/KPim5/EventViews/EventViews/Helper
-include/KPim5/EventViews/EventViews/JournalView
-include/KPim5/EventViews/EventViews/ListView
-include/KPim5/EventViews/EventViews/MonthView
-include/KPim5/EventViews/EventViews/MultiAgendaView
-include/KPim5/EventViews/EventViews/Prefs
-include/KPim5/EventViews/EventViews/TimeLineView
-include/KPim5/EventViews/EventViews/TodoView
-include/KPim5/EventViews/EventViews/ViewCalendar
-include/KPim5/EventViews/EventViews/WhatsNextView
-include/KPim5/EventViews/EventViews/eventview.h
-include/KPim5/EventViews/EventViews/helper.h
-include/KPim5/EventViews/EventViews/prefs.h
-include/KPim5/EventViews/eventviews/EventView
-include/KPim5/EventViews/eventviews/Helper
-include/KPim5/EventViews/eventviews/Prefs
-include/KPim5/EventViews/eventviews/agendaview.h
-include/KPim5/EventViews/eventviews/calendardecoration.h
-include/KPim5/EventViews/eventviews/configdialoginterface.h
-include/KPim5/EventViews/eventviews/eventview.h
-include/KPim5/EventViews/eventviews/eventviews_export.h
-include/KPim5/EventViews/eventviews/helper.h
-include/KPim5/EventViews/eventviews/journalview.h
-include/KPim5/EventViews/eventviews/listview.h
-include/KPim5/EventViews/eventviews/monthview.h
-include/KPim5/EventViews/eventviews/multiagendaview.h
-include/KPim5/EventViews/eventviews/prefs.h
-include/KPim5/EventViews/eventviews/timelineview.h
-include/KPim5/EventViews/eventviews/todoview.h
-include/KPim5/EventViews/eventviews/viewcalendar.h
-include/KPim5/EventViews/eventviews/whatsnextview.h
-include/KPim5/EventViews/eventviews_version.h
-lib/cmake/KPim5EventViews/KPim5EventViewsConfig.cmake
-lib/cmake/KPim5EventViews/KPim5EventViewsConfigVersion.cmake
-lib/cmake/KPim5EventViews/KPim5EventViewsTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KPim5EventViews/KPim5EventViewsTargets.cmake
-lib/libKPim5EventViews.so
-lib/libKPim5EventViews.so.5
-lib/libKPim5EventViews.so.%%KDE_APPLICATIONS_SHLIB_VER%%
-%%QT_MKSPECDIR%%/modules/qt_EventViews.pri
-share/locale/ar/LC_MESSAGES/libeventviews.mo
-share/locale/bg/LC_MESSAGES/libeventviews.mo
-share/locale/bs/LC_MESSAGES/libeventviews.mo
-share/locale/ca/LC_MESSAGES/libeventviews.mo
-share/locale/ca@valencia/LC_MESSAGES/libeventviews.mo
-share/locale/cs/LC_MESSAGES/libeventviews.mo
-share/locale/da/LC_MESSAGES/libeventviews.mo
-share/locale/de/LC_MESSAGES/libeventviews.mo
-share/locale/el/LC_MESSAGES/libeventviews.mo
-share/locale/en_GB/LC_MESSAGES/libeventviews.mo
-share/locale/eo/LC_MESSAGES/libeventviews.mo
-share/locale/es/LC_MESSAGES/libeventviews.mo
-share/locale/et/LC_MESSAGES/libeventviews.mo
-share/locale/eu/LC_MESSAGES/libeventviews.mo
-share/locale/fi/LC_MESSAGES/libeventviews.mo
-share/locale/fr/LC_MESSAGES/libeventviews.mo
-share/locale/ga/LC_MESSAGES/libeventviews.mo
-share/locale/gl/LC_MESSAGES/libeventviews.mo
-share/locale/hu/LC_MESSAGES/libeventviews.mo
-share/locale/ia/LC_MESSAGES/libeventviews.mo
-share/locale/it/LC_MESSAGES/libeventviews.mo
-share/locale/ja/LC_MESSAGES/libeventviews.mo
-share/locale/ka/LC_MESSAGES/libeventviews.mo
-share/locale/kk/LC_MESSAGES/libeventviews.mo
-share/locale/ko/LC_MESSAGES/libeventviews.mo
-share/locale/lt/LC_MESSAGES/libeventviews.mo
-share/locale/mr/LC_MESSAGES/libeventviews.mo
-share/locale/nb/LC_MESSAGES/libeventviews.mo
-share/locale/nds/LC_MESSAGES/libeventviews.mo
-share/locale/nl/LC_MESSAGES/libeventviews.mo
-share/locale/pa/LC_MESSAGES/libeventviews.mo
-share/locale/pl/LC_MESSAGES/libeventviews.mo
-share/locale/pt/LC_MESSAGES/libeventviews.mo
-share/locale/pt_BR/LC_MESSAGES/libeventviews.mo
-share/locale/ro/LC_MESSAGES/libeventviews.mo
-share/locale/ru/LC_MESSAGES/libeventviews.mo
-share/locale/sk/LC_MESSAGES/libeventviews.mo
-share/locale/sl/LC_MESSAGES/libeventviews.mo
-share/locale/sv/LC_MESSAGES/libeventviews.mo
-share/locale/ta/LC_MESSAGES/libeventviews.mo
-share/locale/tr/LC_MESSAGES/libeventviews.mo
-share/locale/ug/LC_MESSAGES/libeventviews.mo
-share/locale/uk/LC_MESSAGES/libeventviews.mo
-share/locale/zh_CN/LC_MESSAGES/libeventviews.mo
-share/locale/zh_TW/LC_MESSAGES/libeventviews.mo
-share/qlogging-categories5/eventviews.categories
-share/qlogging-categories5/eventviews.renamecategories
+include/KPim6/EventViews/EventViews/AgendaView
+include/KPim6/EventViews/EventViews/CalendarDecoration
+include/KPim6/EventViews/EventViews/ConfigDialogInterface
+include/KPim6/EventViews/EventViews/EventView
+include/KPim6/EventViews/EventViews/Helper
+include/KPim6/EventViews/EventViews/JournalView
+include/KPim6/EventViews/EventViews/ListView
+include/KPim6/EventViews/EventViews/MonthView
+include/KPim6/EventViews/EventViews/MultiAgendaView
+include/KPim6/EventViews/EventViews/Prefs
+include/KPim6/EventViews/EventViews/TimeLineView
+include/KPim6/EventViews/EventViews/TodoView
+include/KPim6/EventViews/EventViews/ViewCalendar
+include/KPim6/EventViews/EventViews/WhatsNextView
+include/KPim6/EventViews/EventViews/eventview.h
+include/KPim6/EventViews/EventViews/helper.h
+include/KPim6/EventViews/EventViews/prefs.h
+include/KPim6/EventViews/eventviews/EventView
+include/KPim6/EventViews/eventviews/Helper
+include/KPim6/EventViews/eventviews/Prefs
+include/KPim6/EventViews/eventviews/agendaview.h
+include/KPim6/EventViews/eventviews/calendardecoration.h
+include/KPim6/EventViews/eventviews/configdialoginterface.h
+include/KPim6/EventViews/eventviews/eventview.h
+include/KPim6/EventViews/eventviews/eventviews_export.h
+include/KPim6/EventViews/eventviews/helper.h
+include/KPim6/EventViews/eventviews/journalview.h
+include/KPim6/EventViews/eventviews/listview.h
+include/KPim6/EventViews/eventviews/monthview.h
+include/KPim6/EventViews/eventviews/multiagendaview.h
+include/KPim6/EventViews/eventviews/prefs.h
+include/KPim6/EventViews/eventviews/timelineview.h
+include/KPim6/EventViews/eventviews/todoview.h
+include/KPim6/EventViews/eventviews/viewcalendar.h
+include/KPim6/EventViews/eventviews/whatsnextview.h
+include/KPim6/EventViews/eventviews_version.h
+lib/cmake/KPim6EventViews/KPim6EventViewsConfig.cmake
+lib/cmake/KPim6EventViews/KPim6EventViewsConfigVersion.cmake
+lib/cmake/KPim6EventViews/KPim6EventViewsTargets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/KPim6EventViews/KPim6EventViewsTargets.cmake
+lib/libKPim6EventViews.so
+lib/libKPim6EventViews.so.6
+lib/libKPim6EventViews.so.%%KDE_APPLICATIONS_SHLIB_VER%%
+share/locale/ar/LC_MESSAGES/libeventviews6.mo
+share/locale/ast/LC_MESSAGES/libeventviews6.mo
+share/locale/bg/LC_MESSAGES/libeventviews6.mo
+share/locale/bs/LC_MESSAGES/libeventviews6.mo
+share/locale/ca/LC_MESSAGES/libeventviews6.mo
+share/locale/ca@valencia/LC_MESSAGES/libeventviews6.mo
+share/locale/cs/LC_MESSAGES/libeventviews6.mo
+share/locale/da/LC_MESSAGES/libeventviews6.mo
+share/locale/de/LC_MESSAGES/libeventviews6.mo
+share/locale/el/LC_MESSAGES/libeventviews6.mo
+share/locale/en_GB/LC_MESSAGES/libeventviews6.mo
+share/locale/eo/LC_MESSAGES/libeventviews6.mo
+share/locale/es/LC_MESSAGES/libeventviews6.mo
+share/locale/et/LC_MESSAGES/libeventviews6.mo
+share/locale/eu/LC_MESSAGES/libeventviews6.mo
+share/locale/fi/LC_MESSAGES/libeventviews6.mo
+share/locale/fr/LC_MESSAGES/libeventviews6.mo
+share/locale/ga/LC_MESSAGES/libeventviews6.mo
+share/locale/gl/LC_MESSAGES/libeventviews6.mo
+share/locale/he/LC_MESSAGES/libeventviews6.mo
+share/locale/hu/LC_MESSAGES/libeventviews6.mo
+share/locale/ia/LC_MESSAGES/libeventviews6.mo
+share/locale/it/LC_MESSAGES/libeventviews6.mo
+share/locale/ja/LC_MESSAGES/libeventviews6.mo
+share/locale/ka/LC_MESSAGES/libeventviews6.mo
+share/locale/kk/LC_MESSAGES/libeventviews6.mo
+share/locale/ko/LC_MESSAGES/libeventviews6.mo
+share/locale/lt/LC_MESSAGES/libeventviews6.mo
+share/locale/lv/LC_MESSAGES/libeventviews6.mo
+share/locale/mr/LC_MESSAGES/libeventviews6.mo
+share/locale/nb/LC_MESSAGES/libeventviews6.mo
+share/locale/nds/LC_MESSAGES/libeventviews6.mo
+share/locale/nl/LC_MESSAGES/libeventviews6.mo
+share/locale/pa/LC_MESSAGES/libeventviews6.mo
+share/locale/pl/LC_MESSAGES/libeventviews6.mo
+share/locale/pt/LC_MESSAGES/libeventviews6.mo
+share/locale/pt_BR/LC_MESSAGES/libeventviews6.mo
+share/locale/ro/LC_MESSAGES/libeventviews6.mo
+share/locale/ru/LC_MESSAGES/libeventviews6.mo
+share/locale/sk/LC_MESSAGES/libeventviews6.mo
+share/locale/sl/LC_MESSAGES/libeventviews6.mo
+share/locale/sv/LC_MESSAGES/libeventviews6.mo
+share/locale/ta/LC_MESSAGES/libeventviews6.mo
+share/locale/tr/LC_MESSAGES/libeventviews6.mo
+share/locale/ug/LC_MESSAGES/libeventviews6.mo
+share/locale/uk/LC_MESSAGES/libeventviews6.mo
+share/locale/zh_CN/LC_MESSAGES/libeventviews6.mo
+share/locale/zh_TW/LC_MESSAGES/libeventviews6.mo
+share/qlogging-categories6/eventviews.categories
+share/qlogging-categories6/eventviews.renamecategories
diff --git a/net/incidenceeditor/Makefile b/net/incidenceeditor/Makefile
index 2e5e9489f093..c340589edece 100644
--- a/net/incidenceeditor/Makefile
+++ b/net/incidenceeditor/Makefile
@@ -11,19 +11,17 @@ LICENSE=	LGPL21
 BUILD_DEPENDS=	${LOCALBASE}/include/boost/range/algorithm.hpp:devel/boost-libs
 LIB_DEPENDS=	libKGantt.so:graphics/kdiagram
 
-USES=		cmake compiler:c++11-lib gettext grantlee:5 kde:5 qt:5 tar:xz xorg
-USE_KDE=	auth codecs completion config configwidgets coreaddons \
-		i18n iconthemes itemmodels jobwidgets kio service solid sonnet \
+USES=		cmake compiler:c++11-lib gettext kde:6 qt:6 tar:xz xorg
+USE_KDE=	auth codecs completion config configwidgets coreaddons i18n \
+		iconthemes itemmodels jobwidgets kio service solid sonnet \
 		textwidgets wallet widgetsaddons windowsystem xmlgui \
 		ecm:build
 # pim components
-USE_KDE+=	akonadi akonadicalendar akonadicontacts akonadimime calendarcore \
-		calendarsupport calendarutils contacts eventviews grantleetheme \
-		identitymanagement imap ldap libkdepim mailtransport mime pimcommon \
-		pimtextedit
-USE_QT=		concurrent core dbus gui network printsupport \
-		widgets xml \
-		buildtools:build qmake:build testlib:build
+USE_KDE+=	akonadi akonadicalendar akonadicontacts akonadimime \
+		calendarcore calendarsupport calendarutils contacts eventviews \
+		grantleetheme identitymanagement imap ldap libkdepim \
+		mailtransport mime pimcommon pimtextedit
+USE_QT=		base
 USE_XORG=	x11
 USE_LDCONFIG=	yes
 
diff --git a/net/incidenceeditor/distinfo b/net/incidenceeditor/distinfo
index 9fcbe6192b56..e0a575b8424c 100644
--- a/net/incidenceeditor/distinfo
+++ b/net/incidenceeditor/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889466
-SHA256 (KDE/release-service/23.08.5/incidenceeditor-23.08.5.tar.xz) = df60cf57b12d559a68767557933e355fd34a862e0443279d3e6613ee35807394
-SIZE (KDE/release-service/23.08.5/incidenceeditor-23.08.5.tar.xz) = 580968
+TIMESTAMP = 1734460300
+SHA256 (KDE/release-service/24.12.0/incidenceeditor-24.12.0.tar.xz) = 38aa0bdef8407f23faec133e7e91e6044e4e61b5437450a0c4b5b6ebf90fef1d
+SIZE (KDE/release-service/24.12.0/incidenceeditor-24.12.0.tar.xz) = 587748
